Digest::GOST(3)

NAME
Digest::GOST - Perl interface to the GOST R 34.11-94 digest algorithm

SYNOPSIS
    # Functional interface
    use Digest::GOST qw(gost gost_hex gost_base64);

    $digest = gost($data);
    $digest = gost_hex($data);
    $digest = gost_base64($data);

    # Object-oriented interface
    use Digest::GOST;

    $ctx = Digest::GOST->new(256);

    $ctx->add($data);
    $ctx->addfile(*FILE);

    $digest = $ctx->digest;
    $digest = $ctx->hexdigest;
    $digest = $ctx->b64digest;

DESCRIPTION
The "Digest::GOST" module provides an interface to the GOST R 34.11-94 message digest algorithm.

This interface follows the conventions set forth by the "Digest" module.

This module uses the default "test" parameters. To use the CryptoPro parameters, use "Digest::GOST::CryptoPro".

FUNCTIONS
The following functions are provided by the "Digest::GOST" module. None of these functions are exported by default.

  gost($data, ...)
Logically joins the arguments into a single string, and returns its GOST digest encoded as a binary string.

  gost_hex($data, ...)
Logically joins the arguments into a single string, and returns its GOST digest encoded as a hexadecimal string.

  gost_base64($data, ...)
Logically joins the arguments into a single string, and returns its GOST digest encoded as a Base64 string, without any trailing padding.

METHODS
The object-oriented interface to "Digest::GOST" is identical to that described by "Digest".

SEE ALSO
Digest::GOST::CryptoPro

Digest

Task::Digest

<http://en.wikipedia.org/wiki/GOST_(hash_function)>

REQUESTS AND BUGS
Please report any bugs or feature requests to <http://rt.cpan.org/Public/Bug/Report.html?Digest-GOST>. I will be notified, and then you'll automatically be notified of progress on your bug as I make changes.

SUPPORT
You can find documentation for this module with the perldoc command.

    perldoc Digest::GOST

You can also look for information at:

•   GitHub Source Repository

    <http://github.com/gray/digest-gost>

•   AnnoCPAN: Annotated CPAN documentation

    <http://annocpan.org/dist/Digest-GOST>

•   CPAN Ratings

    <http://cpanratings.perl.org/d/Digest-GOST>

•   RT: CPAN's request tracker

    <http://rt.cpan.org/Public/Dist/Display.html?Name=Digest-GOST>

•   Search CPAN

    <http://search.cpan.org/dist/Digest-GOST/>

COPYRIGHT AND LICENSE
Copyright (C) 2010-2012 gray <gray at cpan.org>, all rights reserved.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

AUTHOR
gray, <gray at cpan.org>